/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ImageColumnDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ImageColumnDescription, _super);
    function ImageColumnDescription() {
        var _this = _super.call(this) || this;
        _this.fi = null;
        _this.fh = null;
        _this.ff = null;
        _this.fc = null;
        _this.fg = null;
        _this.fa = null;
        return _this;
    }
    ImageColumnDescription.prototype.get_type = function () {
        return "ImageColumn";
    };
    Object.defineProperty(ImageColumnDescription.prototype, "imageStretchOption", {
        get: function () {
            return this.fi;
        },
        set: function (a) {
            this.fi = a;
            this.e("ImageStretchOption");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ImageColumnDescription.prototype, "editorType", {
        get: function () {
            return this.fh;
        },
        set: function (a) {
            this.fh = a;
            this.e("EditorType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ImageColumnDescription.prototype, "editorDataSourceRef", {
        get: function () {
            return this.ff;
        },
        set: function (a) {
            this.ff = a;
            this.e("EditorDataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ImageColumnDescription.prototype, "editorDataSource", {
        get: function () {
            return this.fc;
        },
        set: function (a) {
            this.fc = a;
            this.e("EditorDataSource");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ImageColumnDescription.prototype, "editorTextField", {
        get: function () {
            return this.fg;
        },
        set: function (a) {
            this.fg = a;
            this.e("EditorTextField");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ImageColumnDescription.prototype, "editorValueField", {
        get: function () {
            return this.fa;
        },
        set: function (a) {
            this.fa = a;
            this.e("EditorValueField");
        },
        enumerable: false,
        configurable: true
    });
    ImageColumnDescription.$t = markType(ImageColumnDescription, 'ImageColumnDescription', ColumnDescription.$);
    ImageColumnDescription.__canMarshalByValue1 = true;
    return ImageColumnDescription;
}(ColumnDescription));
export { ImageColumnDescription };
